Bug 151098 - Debugging output of ruby-debug-ide should go the IDE log
Debugging output of ruby-debug-ide should go the IDE log
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Debugger
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Krauskopf
issues@ruby
:
Depends on:
Blocks: 147637 150820
  Show dependency treegraph
 
Reported: 2008-10-23 08:56 UTC by Martin Krauskopf
Modified: 2009-02-19 23:01 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Krauskopf 2008-10-23 08:56:31 UTC
Instead of to the Output Windows. This will make it easier to find the culprit of debugger bugs. Likely will need a
tweak in the backend.
Comment 1 Martin Krauskopf 2008-10-30 09:10:05 UTC
Progress in the backend:

   http://rubyforge.org/pipermail/debug-commons-commits/2008-October/000288.html
Comment 2 Martin Krauskopf 2008-10-30 21:57:48 UTC
debug-commons-part:

   http://rubyforge.org/pipermail/debug-commons-commits/2008-October/000289.html
Comment 3 Martin Krauskopf 2008-10-31 12:00:59 UTC
Implemented: #46dcdd39fb84
Comment 4 Quality Engineering 2008-10-31 16:28:48 UTC
Integrated into 'main-golden', will be available in build *200810311401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/46dcdd39fb84
User: Martin Krauskopf <mkrauskopf@netbeans.org>
Log: Upgrading to new ruby-debug-ide (0.4.0) and new debug-commons-java (related to issues like #151098, #147637, #147637). In general brings robustness, strictness and better logging infrastructure (only one log is needed now) of underlaying layers. Might reveal more bugs.

Changelog of debug-commons-java since last update:

  * Robustness, strictness, logging:
    * let <message>s to come asynchronously
    * strict debug-commons protocol checking
    * better logging infrastructure
    * more info during failures


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo